--
-- PostgreSQL database dump
--

-- Dumped from database version 15.1
-- Dumped by pg_dump version 15.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: athletes; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.athletes (
    id bigint NOT NULL,
    created_at timestamp with time zone DEFAULT now(),
    nr bigint,
    firstname character varying,
    lastname character varying,
    birthday date,
    school character varying
);


ALTER TABLE public.athletes OWNER TO postgres;

--
-- Name: TABLE athletes; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.athletes IS 'Startlist with athletes';


--
-- Name: athletes_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

ALTER TABLE public.athletes ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.athletes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: athletes athletes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.athletes
    ADD CONSTRAINT athletes_pkey PRIMARY KEY (id);


--
-- Name: athletes Enable delete for authenticated users only; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable delete for authenticated users only" ON public.athletes FOR DELETE TO authenticated USING (true);


--
-- Name: athletes Enable insert for authenticated users only; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable insert for authenticated users only" ON public.athletes FOR INSERT TO authenticated WITH CHECK (true);


--
-- Name: athletes Enable read access for all users; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable read access for all users" ON public.athletes FOR SELECT USING (true);


--
-- Name: athletes; Type: ROW SECURITY; Schema: public; Owner: postgres
--

ALTER TABLE public.athletes ENABLE ROW LEVEL SECURITY;

--
-- Name: TABLE athletes; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON TABLE public.athletes TO anon;
GRANT ALL ON TABLE public.athletes TO authenticated;
GRANT ALL ON TABLE public.athletes TO service_role;


--
-- Name: SEQUENCE athletes_id_seq; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON SEQUENCE public.athletes_id_seq TO anon;
GRANT ALL ON SEQUENCE public.athletes_id_seq TO authenticated;
GRANT ALL ON SEQUENCE public.athletes_id_seq TO service_role;


--
-- PostgreSQL database dump complete
--

