--
-- PostgreSQL database dump
--

-- Dumped from database version 15.1
-- Dumped by pg_dump version 15.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: heats; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.heats (
    id bigint NOT NULL,
    created_at timestamp with time zone DEFAULT now(),
    name character varying,
    location character varying,
    planned_start time without time zone
);


ALTER TABLE public.heats OWNER TO postgres;

--
-- Name: TABLE heats; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.heats IS 'List of heats or contest runs';


--
-- Name: heats_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

ALTER TABLE public.heats ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.heats_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: heats heats_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.heats
    ADD CONSTRAINT heats_pkey PRIMARY KEY (id);


--
-- Name: heats Enable delete for authenticated users only; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable delete for authenticated users only" ON public.heats FOR DELETE TO authenticated USING (true);


--
-- Name: heats Enable insert for authenticated users only; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable insert for authenticated users only" ON public.heats FOR INSERT TO authenticated WITH CHECK (true);


--
-- Name: heats Enable read access for all users; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable read access for all users" ON public.heats FOR SELECT USING (true);


--
-- Name: heats; Type: ROW SECURITY; Schema: public; Owner: postgres
--

ALTER TABLE public.heats ENABLE ROW LEVEL SECURITY;

--
-- Name: TABLE heats; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON TABLE public.heats TO anon;
GRANT ALL ON TABLE public.heats TO authenticated;
GRANT ALL ON TABLE public.heats TO service_role;


--
-- Name: SEQUENCE heats_id_seq; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON SEQUENCE public.heats_id_seq TO anon;
GRANT ALL ON SEQUENCE public.heats_id_seq TO authenticated;
GRANT ALL ON SEQUENCE public.heats_id_seq TO service_role;


--
-- PostgreSQL database dump complete
--

