--
-- PostgreSQL database dump
--

-- Dumped from database version 15.1
-- Dumped by pg_dump version 15.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: scores; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.scores (
    id bigint NOT NULL,
    created_at timestamp with time zone DEFAULT now(),
    athlete bigint NOT NULL,
    judge uuid NOT NULL,
    score double precision,
    heat bigint NOT NULL
);


ALTER TABLE public.scores OWNER TO postgres;

--
-- Name: TABLE scores; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.scores IS 'List of scores';


--
-- Name: score_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

ALTER TABLE public.scores ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.score_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: scores scores_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.scores
    ADD CONSTRAINT scores_pkey PRIMARY KEY (athlete, judge, heat);


--
-- Name: scores scores_athlete_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.scores
    ADD CONSTRAINT scores_athlete_fkey FOREIGN KEY (athlete) REFERENCES public.athletes(id) ON DELETE CASCADE;


--
-- Name: scores scores_heat_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.scores
    ADD CONSTRAINT scores_heat_fkey FOREIGN KEY (heat) REFERENCES public.heats(id) ON DELETE CASCADE;


--
-- Name: scores scores_judge_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.scores
    ADD CONSTRAINT scores_judge_fkey FOREIGN KEY (judge) REFERENCES public.judges(id);


--
-- Name: scores Enable insert for authenticated users only; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable insert for authenticated users only" ON public.scores FOR INSERT TO authenticated WITH CHECK (true);


--
-- Name: scores Enable judges to update their own scores; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable judges to update their own scores" ON public.scores FOR UPDATE USING ((auth.uid() = judge));


--
-- Name: scores Enable read access for all users; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable read access for all users" ON public.scores FOR SELECT USING (true);


--
-- Name: scores; Type: ROW SECURITY; Schema: public; Owner: postgres
--

ALTER TABLE public.scores ENABLE ROW LEVEL SECURITY;

--
-- Name: TABLE scores; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON TABLE public.scores TO anon;
GRANT ALL ON TABLE public.scores TO authenticated;
GRANT ALL ON TABLE public.scores TO service_role;


--
-- Name: SEQUENCE score_id_seq; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON SEQUENCE public.score_id_seq TO anon;
GRANT ALL ON SEQUENCE public.score_id_seq TO authenticated;
GRANT ALL ON SEQUENCE public.score_id_seq TO service_role;


--
-- PostgreSQL database dump complete
--

