--
-- PostgreSQL database dump
--

-- Dumped from database version 15.1
-- Dumped by pg_dump version 15.2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: startlist; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.startlist (
    id bigint NOT NULL,
    created_at timestamp with time zone DEFAULT now(),
    heat bigint NOT NULL,
    athlete bigint NOT NULL
);


ALTER TABLE public.startlist OWNER TO postgres;

--
-- Name: TABLE startlist; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.startlist IS 'List of athletes for a given heat or run';


--
-- Name: startlist_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

ALTER TABLE public.startlist ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.startlist_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: startlist startlist_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.startlist
    ADD CONSTRAINT startlist_pkey PRIMARY KEY (heat, athlete);


--
-- Name: startlist startlist_athlete_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.startlist
    ADD CONSTRAINT startlist_athlete_fkey FOREIGN KEY (athlete) REFERENCES public.athletes(id) ON DELETE CASCADE;


--
-- Name: startlist startlist_heat_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.startlist
    ADD CONSTRAINT startlist_heat_fkey FOREIGN KEY (heat) REFERENCES public.heats(id) ON DELETE CASCADE;


--
-- Name: startlist Enable delete for authenticated users only; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable delete for authenticated users only" ON public.startlist FOR DELETE TO authenticated USING (true);


--
-- Name: startlist Enable insert for authenticated users only; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable insert for authenticated users only" ON public.startlist FOR INSERT TO authenticated WITH CHECK (true);


--
-- Name: startlist Enable read access for all users; Type: POLICY; Schema: public; Owner: postgres
--

CREATE POLICY "Enable read access for all users" ON public.startlist FOR SELECT USING (true);


--
-- Name: startlist; Type: ROW SECURITY; Schema: public; Owner: postgres
--

ALTER TABLE public.startlist ENABLE ROW LEVEL SECURITY;

--
-- Name: TABLE startlist; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON TABLE public.startlist TO anon;
GRANT ALL ON TABLE public.startlist TO authenticated;
GRANT ALL ON TABLE public.startlist TO service_role;


--
-- Name: SEQUENCE startlist_id_seq; Type: ACL; Schema: public; Owner: postgres
--

GRANT ALL ON SEQUENCE public.startlist_id_seq TO anon;
GRANT ALL ON SEQUENCE public.startlist_id_seq TO authenticated;
GRANT ALL ON SEQUENCE public.startlist_id_seq TO service_role;


--
-- PostgreSQL database dump complete
--

